ASP.NET Core 1.0 (formerly ASP.NET 5) support in Plesk

Created:

2017-01-05 08:53:55 UTC

Modified:

2017-08-08 13:17:38 UTC

7

Was this article helpful?


Have more questions?

Submit a request

ASP.NET Core 1.0 (formerly ASP.NET 5) support in Plesk

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 12.5 for Windows

Question

Does Plesk support ASP.NET core applications?

Answer

  • In Plesk for Windows

According to release notes , ASP.NET Core 1.0 is supported since June 20, 2016.  Moreover, ASP.NET core was updated to version 1.1 on December 6, 2016.

It is possible to install required components in Autoinstaller ( Plesk > Tools&Settings > Updates&Upgrades > Plesk hosting features > .NET Core Runtime ), and then upload your application manually into hosting using FTP, Visual Studio and etc.

However, this functionality is not present in UI now.
Implementation into UI is planned feature and will be integrated in future Plesk updates.

  • In Plesk for Linux

ASP.NET core is not available on Linux right now, however its implementation is planned feature and will be available in future.

Have more questions? Submit a request

2 Comments

  • 0
    Avatar
    Pieter van Kampen

    Sorry this is not clear to me. I have an application that is Asp.NET core 1.1.2. So can I use that or not?

  • 0
    Avatar
    Robert Asilbekov

    @Pieter van Kampen  yes, you can. I think there is no huge difference between Asp.NET core 1.1.1 which is currently shipped with Onyx and  Asp.NET core 1.1.2

Please sign in to leave a comment.